using System;

class Program {
  public static void Main (string[] args) {
    int n = Int32.Parse(Console.ReadLine());
    Console.WriteLine(n);
    int m = Int32.Parse(Console.ReadLine());
    int b, c = 1, d=0;
    if(n<m){
      b=m;
    }
    else{
      b=n;
    }
    while(b>0){
      if(n!=0 && m!=0 && n%10<m%10){
        d=d+(m%10)*c;
      }
      else if(n!=0 && m!=0 && n%10>m%10){
        d = d + (n%10)*c;
      }
      else if(n!=0 && m==0){
        d=d+(n%10)*c;
      }
      else if(n==0 && m!=0){
        d=d+(m%10)*c;
      }
      else{
        d= d + (n%10)*c;
        c=c*10;
        d= d + (m%10)*c;
      }
      c = c*10;
      b=b/10;
      n=n/10;
      m=m/10;
    }
    Console.WriteLine(d);
  }
}